//=-- DataTable.h - Keep track of a table of data values ---------------------=
//
//
//=---------------------------------------------------------------------------=
//  This file is copyright (c) 1997-1998 Chris Lattner
//=---------------------------------------------------------------------------=

#ifndef DATATABLE_H
#define DATATABLE_H

#include "LinkedList.h"

class String;
typedef LinkedList<String> * StrListPtr;

class MSAPI DataTable {
friend class DataGraph;
private :
  int RowLabelFormat;
  LinkedList<StrListPtr> Columns;
  LinkedList<String> *RowLabels;
public :
  DataTable() {
    RowLabelFormat = 0;
    RowLabels = 0;
  }

  void SetRowLabelFormat(int F) { 
    RowLabelFormat = F; 
  }

  void SetRowLabels(LinkedList<String> &L) {
    if (RowLabels)
      delete RowLabels;

    RowLabels = &L;
  }

  void AddColumn(LinkedList<String> &L) {
    Columns.AddToTail(&L);
  }
};

#endif
